package co.dc.aptiv.pojo;

import co.dc.commons.annotation.Transient;
import co.dc.commons.basedao.CommonPojoAbstract;

import java.io.Serializable;

/**
 * @describe: 配置类
 * @author: 刘兴龙
 * @version: 2019/1/3 9:48
 */

public class ConfigPojo extends CommonPojoAbstract implements Serializable {
    private static final long serialVersionUID = 1L;
    @Transient
    public static final String tableName = "config";

    @Override
    public String getTableName() {
        return tableName;
    }

    private Long id;
    /**
     * 最后登录用户
     */
    private String lastName;
    /**
     * 测试机连接状态
     */
    private Integer onLine;

    public Long getId () {
        return id;
    }

    public void setId (Long id) {
        this.id = id;
    }

    public String getLastName () {
        return lastName;
    }

    public void setLastName (String lastName) {
        this.lastName = lastName;
    }

    public Integer getOnLine () {
        return onLine;
    }

    public void setOnLine (Integer onLine) {
        this.onLine = onLine;
    }

    @Override
    public String toString () {
        return "ConfigPojo{" +
                "id=" + id +
                ", lastName='" + lastName + '\'' +
                ", onLine=" + onLine +
                '}';
    }
}
